Bug 1053563 - Review Request: netty3 - An asynchronous event-driven network application framework and tools for Java
Summary: Review Request: netty3 - An asynchronous event-driven network application fra...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Elasticsearch 1053479
TreeView+ depends on / blocked
 
Reported: 2014-01-15 12:27 UTC by Marek Goldmann
Modified: 2014-12-17 17:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-23 11:38:03 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2014-01-15 12:27:46 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/netty3/1/netty3.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/netty3/1/netty3-3.6.6-1.fc20.src.rpm
Fedora Account System Username: goldmann

Description:

Netty is a NIO client server framework which enables quick and easy
development of network applications such as protocol servers and
clients. It greatly simplifies and streamlines network programming
such as TCP and UDP socket server.

'Quick and easy' doesn't mean that a resulting application will suffer
from a maintainability or a performance issue. Netty has been designed
carefully with the experiences earned from the implementation of a lot
of protocols such as FTP, SMTP, HTTP, and various binary and
text-based legacy protocols. As a result, Netty has succeeded to find
a way to achieve ease of development, performance, stability, and
flexibility without a compromise.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6408651

Comment 1 gil cattaneo 2014-01-15 18:41:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "MIT/X11 (BSD like)", "Unknown or generated". 831 files
     have unknown license. Detailed output of licensecheck in
     /home/gil/1053563-netty3/licensecheck.txt

BSD (3 clause)
--------------
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket07FrameDecoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket07FrameEncoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket08FrameDecoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket08FrameEncoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket13FrameDecoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket13FrameEncoder.java

MIT/X11 (BSD like)
------------------
netty-3.6.6.Final/src/main/java/org/jboss/netty/example/http/websocketx/client/WebSocketClient.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/example/http/websocketx/client/WebSocketClientHandler.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/UTF8Exception.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/UTF8Output.java

/*
 * Written by Robert Harder and released to the public domain, as explained at
 * http://creativecommons.org/licenses/publicdomain
 */
------------------
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/base64/Base64.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/base64/Base64Dialect.java



The rest of source code is under AS License

Please fix license field
     
[?]: License file installed when any subpackage combination is installed.
[?]: Package contains no bundled libraries without FPC exception.
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/UTF8Exception.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/UTF8Output.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket07FrameDecoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket07FrameEncoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket08FrameDecoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket08FrameEncoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket13FrameDecoder.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/handler/codec/http/websocketx/WebSocket13FrameEncoder.java
/*
 * Written by Doug Lea with assistance from members of JCP JSR-166
 * Expert Group and released to the public domain, as explained at
 * http://creativecommons.org/licenses/publicdomain
 */
netty-3.6.6.Final/src/main/java/org/jboss/netty/util/internal/ConcurrentHashMap.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/util/internal/ConcurrentIdentityHashMap.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/util/internal/ConcurrentIdentityWeakKeyHashMap.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/util/internal/ConcurrentWeakKeyHashMap.java
netty-3.6.6.Final/src/main/java/org/jboss/netty/util/internal/ThreadLocalRandom.java

[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     netty3-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: netty3-3.6.6-1.fc21.noarch.rpm
          netty3-javadoc-3.6.6-1.fc21.noarch.rpm
          netty3-3.6.6-1.fc21.src.rpm
netty3.noarch: W: spelling-error %description -l en_US Netty -> Petty, Getty, Betty
netty3.noarch: W: invalid-url URL: https://netty.io/ <urlopen error timed out>
netty3-javadoc.noarch: W: invalid-url URL: https://netty.io/ <urlopen error timed out>
netty3.src: W: spelling-error %description -l en_US Netty -> Petty, Getty, Betty
netty3.src: W: invalid-url URL: https://netty.io/ <urlopen error timed out>
netty3.src:72: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 72)
netty3.src: W: invalid-url Source0: http://netty.googlecode.com/files/netty-3.6.6.Final-dist.tar.bz2 HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint netty3 netty3-javadoc
netty3.noarch: W: spelling-error %description -l en_US Netty -> Petty, Getty, Betty
netty3.noarch: W: invalid-url URL: https://netty.io/ <urlopen error timed out>
netty3-javadoc.noarch: W: invalid-url URL: https://netty.io/ <urlopen error timed out>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
netty3 (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(com.jcraft:jzlib)

netty3-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
netty3:
    mvn(io.netty:netty:3)
    mvn(io.netty:netty:3.6.6)
    mvn(io.netty:netty:3.6.6.Final)
    mvn(org.jboss.netty:netty:3)
    mvn(org.jboss.netty:netty:3.6.6)
    mvn(org.jboss.netty:netty:3.6.6.Final)
    netty3
    osgi(org.jboss.netty)

netty3-javadoc:
    netty3-javadoc



Source checksums
----------------
http://netty.googlecode.com/files/netty-3.6.6.Final-dist.tar.bz2 :
  CHECKSUM(SHA256) this package     : 22d229060ca602de68f155596993524f8a9c19ef5518c9fe04fa98e2810ad881
  CHECKSUM(SHA256) upstream package : 22d229060ca602de68f155596993524f8a9c19ef5518c9fe04fa98e2810ad881


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1053563 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Marek Goldmann 2014-01-16 09:29:44 UTC
Thanks!

New Package SCM Request
=======================
Package Name: netty3
Short Description: An asynchronous event-driven network application framework and tools for Java
Owners: goldmann

Comment 3 Gwyn Ciesla 2014-01-16 12:51:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.